const Errors = require('../lib/errors')

module.exports = (sequelize, DataTypes) => {
    let UserAward = sequelize.define('UserAward', {
        showOnProfile: {
            type: DataTypes.BOOLEAN,
            defaultValue: true
        },
        createdAt: DataTypes.DATE,
        updatedAt: DataTypes.DATE,
        assignedAutomatically: {
            type: DataTypes.BOOLEAN,
            defaultValue: false
        }
    })

    UserAward.associate = function (models) {
        UserAward.belongsTo(models.User)
        UserAward.belongsTo(models.Award)
    }
    return UserAward
}