import bpy
def hex_to_rgb(value):
    gamma = 2.05
    value = value.lstrip('#')
    lv = len(value)
    fin = list(int(value[i:i + lv // 3], 16) for i in range(0, lv, lv // 3))
    r = pow(fin[0] / 255, gamma)
    g = pow(fin[1] / 255, gamma)
    b = pow(fin[2] / 255, gamma)
    fin.clear()
    fin.append(r)
    fin.append(g)
    fin.append(b)
    return tuple(fin)
bpy.ops.wm.open_mainfile(filepath='/home/kaverti/website/rendering/avatarhs.blend')
bpy.data.objects['Head'].select = True
bpy.data.materials['Head'].diffuse_color = hex_to_rgb('#F2C511')
bpy.data.materials['Face'].diffuse_color = hex_to_rgb('#F2C511')
bpy.data.objects['Left Arm'].select = True
bpy.data.objects['Left Arm'].active_material.diffuse_color = hex_to_rgb('#A463BF')
bpy.data.objects['Torso'].select = True
bpy.data.objects['Torso'].active_material.diffuse_color = hex_to_rgb('#fc6f90')
bpy.data.objects['Right Arm'].select = True
bpy.data.objects['Right Arm'].active_material.diffuse_color = hex_to_rgb('#F39C19')
bpy.data.objects['Left Leg'].select = True
bpy.data.objects['Left Leg'].active_material.diffuse_color = hex_to_rgb('#3D556E')
bpy.data.objects['Right Leg'].select = True
bpy.data.objects['Right Leg'].active_material.diffuse_color = hex_to_rgb('#C0382B')
hat_import = bpy.ops.import_scene.obj(filepath='/home/kaverti/website/rendering/global/5873ada4b44681127842826981ff3d97')
hat = bpy.context.selected_objects[0]
bpy.context.selected_objects[0].data.name = 'hat'
bpy.context.selected_objects[0].name = 'hat'
hat_material = bpy.data.materials.new('hat')
hat_material.diffuse_shader = 'LAMBERT'
hat.active_material = hat_material
hat_image = bpy.data.images.load(filepath = '/home/kaverti/website/rendering/global/5873ada4b44681127842826981ff3d97.png')
hat_texture = bpy.data.textures.new('ColorTex', type = 'IMAGE')
hat_texture.image = hat_image
hat_add = bpy.data.objects['hat'].active_material.texture_slots.add()
hat_add.texture = hat_texture
face_Image = bpy.data.images.load(filepath = '/home/kaverti/website/rendering/global/fc56a2a4f55254f475ccea568402d2bc.png')
bpy.data.textures['Face'].image = face_Image
shirt_Image = bpy.data.images.load(filepath = '/home/kaverti/website/rendering/global/0.png')
bpy.data.textures['Shirt'].image = shirt_Image
bpy.data.textures['ShirtR'].image = shirt_Image
bpy.data.textures['ShirtL'].image = shirt_Image
pants_Image = bpy.data.images.load(filepath = '/home/kaverti/website/rendering/global/0.png')
bpy.data.textures['PantsR'].image = pants_Image
bpy.data.textures['PantsL'].image = pants_Image
scene = bpy.context.scene
scene.render.image_settings.file_format = 'PNG'
scene.render.filepath = '/var/www/html/cdn/user/avatars/headshot/4daef004be39e0c4c2f5b6498e6fcbaf.png'
bpy.ops.render.render(write_still = 1)