let express = require('express')
let router = express.Router()
const Errors = require('../lib/errors')
let { User, Ban } = require('../models')

router.get('/', async(req, res, next) => {
    try {
        const nodeinfo = require('../nodeinfo.json');
        let os = require('os')
        res.json({name: os.hostname(), type: nodeinfo.type, region: nodeinfo.region})
    } catch (err) { next(err) }
})

module.exports = router