let linkPreview = require('preview-link');
let express = require('express');
let router = express.Router()
const auth = require('../lib/auth');
let AdminToken = require('../models').AdminToken
let User = require('../models').User
const Errors = require('../lib/errors.js')
let os = require('os')

router.get('/', auth, async(req, res, next) => {
	try {
		let url = req.query.url;

		let HTML = url ? await linkPreview(url) : '';
		res.send(HTML);
	} catch (e) {
		next(e);
	}
});

module.exports = router;
