let express = require('express')
let router = express.Router()
const auth = require('../lib/auth')

let { User, Award, UserAward } = require('../models')

router.get('/eligibility', auth, async(req, res, next) => {
    try {
        let user = await User.findOne({where: {id: req.userData.id}})
        if(user.id < 100) {
            console.log(UserAward.findOne({where: {UserId: req.userData.id}}))
            if(!UserAward.findOne({where: {UserId: user.id, awardId: 1}})) {
                await UserAward.create({UserId: user.id, awardId: 1})
                var under100 = "created"
            } else {
                var under100 = "alreadyCreated"
            }
        } else {
            var under100 = "ineligible"
        }
        res.json({ under100: under100 });
    } catch (e) { next(e) }
})

module.exports = router
