let express = require('express')
let router = express.Router()

const Errors = require('../lib/errors')
let { Settings } = require('../models')

router.get('/', async(req, res, next) => {
	try {
		let settings = await Settings.findOne({
			where: {
				id: 1
			},
			attributes: { exclude: ['id', 'createdAt', 'updatedAt'] }
		})

		res.json({state: settings.toJSON(), apiVersion: '1.0.0-prerelease4'})
	} catch (e) { next(e) }

})

module.exports = router
